Cyberduck Mountain Duck CLI

#1244 closed defect (fixed)

Leopard: Saving file in external editor doesn't cause upload

Reported by: danwood Owned by: dkocher
Priority: high Milestone: 2.8.1
Component: core Version: 2.8
Severity: normal Keywords: leopard
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Using Leopard (9A527) and CyberDuck 2.8b1 (3212)/3212, and SubEthaEdit as an external editor, I notice that when editing a file and saving back, the file is not re-uploaded.

This is logged to the console:

9/10/07 12:58:29 PM Cyberduck[1178] handleModifiedFileEvent: Got ODB editor event for unknown file. 
9/10/07 12:58:30 PM Cyberduck[1178] handleClosedFileEvent: Got ODB editor event for unknown file. 


Change History (18)

comment:1 Changed on Sep 10, 2007 at 9:17:50 PM by dkocher

  • Description modified (diff)
  • Milestone set to 2.8.1
  • Status changed from new to assigned

comment:2 Changed on Oct 2, 2007 at 4:19:10 PM by dkocher

  • Priority changed from normal to high

comment:3 Changed on Oct 27, 2007 at 3:15:33 AM by andyfowler

Just wanted to confirm that this is still occurring in final release. Tested using CyberDuck 2.8 r3257 and TextMate.

comment:4 Changed on Oct 27, 2007 at 8:23:52 AM by jduffas

I confirm : same problem, with any text editor.

comment:5 Changed on Oct 27, 2007 at 5:59:44 PM by paodj

  • Milestone 2.8.1 deleted
  • Version changed from 2.7.3 to 2.8

I've the same problem with leopard final (golden master) with bbedit.

comment:6 Changed on Oct 27, 2007 at 6:02:53 PM by paodj

  • Milestone set to 2.8.1

comment:7 Changed on Oct 28, 2007 at 8:40:53 PM by GREENSKiN

Confirmed under Leopard retail, with CyberDuck 2.8 (3257) and TextMate 1.5.7 (1436).

comment:8 Changed on Oct 28, 2007 at 9:03:51 PM by GREENSKiN

I inserted some debug code in the source... I think Leopard reports symlinks in a different way than Tiger did:

10/28/07 9:52:23 PM Cyberduck[13529] handleModifiedFileEvent: Got ODB editor event for unknown file (/private/var/folders/wO/wOFigXmSH9ykExpUW4b+qU+++TI/-Tmp-/var/www/test-3.php). 10/28/07 9:52:23 PM Cyberduck[13529] Dictionary contains... {

"/var/folders/wO/wOFigXmSH9ykExpUW4b+qU+++TI/-Tmp-/var/www/test-3.php" = {

ODBEditorFileName = "/var/folders/wO/wOFigXmSH9ykExpUW4b+qU+++TI/-Tmp-/var/www/test-3.php"; ODBEditorIsEditingString = 0; ODBEditorNonRetainedClient = <10291000>;

};

}

As you can see TextMate reports /private/var/... for the filename, whereas Cyberduck has stored /var/... in its dictionary object.

comment:9 Changed on Oct 28, 2007 at 10:09:33 PM by GREENSKiN

Patch!

\214c214
< 			[_filesBeingEdited setObject: dictionary forKey: [fileName stringByResolvingSymlinksInPath]];
---
> 			[_filesBeingEdited setObject: dictionary forKey: fileName];
233c233
< 	dictionary = [_filesBeingEdited objectForKey: [fileName stringByResolvingSymlinksInPath]];
---
> 	dictionary = [_filesBeingEdited objectForKey: fileName];
254c254
< 	dictionary = [_filesBeingEdited objectForKey: [fileName stringByResolvingSymlinksInPath]];
---
> 	dictionary = [_filesBeingEdited objectForKey: fileName];

comment:10 Changed on Oct 28, 2007 at 10:23:44 PM by jduffas

how do you patch the app ? would you put somewhere the app patched ?

jean

comment:11 Changed on Oct 29, 2007 at 5:18:05 AM by andyfowler

The patch from greenskin works great, though he forgot to mention the file to be patched:

cyberduck/source/ch/cyberduck/ui/cocoa/odb/ODBEditor.m

I've applied his patch to the latest svn version and compiled it as a temporary fix for anybody interested. Not sure if it's compatible with 10.4 but it works great in 10.5.

http://www.createarevolution.com/downloads/cyberduck-r3260-10.5.zip

comment:12 Changed on Oct 29, 2007 at 7:34:56 AM by dkocher

Thanks for the patch! I will test under 10.3.9-10.5 and then apply. You will find the latest build at http://update.cyberduck.ch/nightly/ then.

comment:13 Changed on Oct 29, 2007 at 11:28:46 PM by dkocher

I have added a cyberduck-dev mailing list to make it easier to discuss code. See #1202.

comment:14 Changed on Oct 29, 2007 at 11:31:35 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r3263.

comment:16 Changed on Nov 1, 2007 at 3:24:16 PM by chuckienorton

I just downloaded the new build & still cannot even select an editor. (using leopard). Am I missing something?? Thanks, -Chuck

comment:17 Changed on Nov 13, 2007 at 12:16:35 AM by GoClick

It would be nice if that build were available by update in the client I didn't like having to search around in trac to find it. glas it's here though

comment:18 Changed on Nov 13, 2007 at 1:48:11 PM by dkocher

An official release is due soon but there are one or two other issues I want to have resolved first. Thanks for your patience.

Note: See TracTickets for help on using tickets.
swiss made software